System.Web 2.0.0.0 System.Web.UI.StateManagedCollection

The class is used to store and manage a collection of objects in the control. The control uses the class for its property.

The property contains objects that define the relationship between a data item and the node that it is binding to. When binding to a data source where each data item contains multiple properties (such as an XML element with several attributes), a node displays the value that is returned by the ToString method of the data item, by default. In the case of an XML element, the node displays the element name, which shows the underlying structure of the tree but is not very useful otherwise. You can bind a node to a specific data item property by specifying tree node bindings. Although the collection can be programmatically populated, it is usually set declaratively.

To set the tree node bindings declaratively:

Nest opening and closing <DataBindings> tags between the opening and closing tags of the control.

Place <asp:TreeNodeBinding> elements between the opening and closing <DataBindings> tags for each tree node binding that you want to specify.

You can programmatically manage a by adding and removing objects. To add a object to the collection, use the or method. To remove nodes from the collection, use the , , or method.

The class supports several ways to access the items in the collection:

Use the indexer to retrieve a object directly at a specific zero-based index.

Use the method to create an enumerator that can be used to iterate through the collection.

Represents a collection of objects in the control. This class cannot be inherited.

- Method
  System.Int32 ``

  Use the method to append the specified object to the end of the object.

  As an alternative, you can insert a object in the at a specific index using the method.

  Appends the specified object to the end of the object.

  The zero-based index of the location of the added in the .

  The to append. 2.0.0.0
- Method
  System.Boolean ``

  Use the method to determine whether a object is contained in the object. This method is commonly used to test for the existence of a object before performing a task, such as adding or removing a from the collection.

  Determines whether the specified object is in the collection.

  true if the is in the collection; otherwise, false.

  The to find. 2.0.0.0
- Method
  System.Void `` `` To be added.

  Use the method to copy the contents of the object into . Items are copied starting at . You can then use the array to access the items that are in the collection.

  As an alternative, you can use the method to create an enumerator that can be used to access the items in the collection.

  Copies all the items from the object to a compatible one-dimensional array of objects, starting at the specified index in the target array.

  The position in at which to start receiving the copied content. 2.0.0.0
- Method
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Type[] To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int32 ``

  Use the method to determine the zero-based index of the specified object in the object. If the node is not in the collection, the method returns -1.

  If the specified object appears multiple times in the collection, the index of the first occurrence is returned.

  Determines the index of the specified object in the collection.

  The zero-based index of the first occurrence of within the , if found; otherwise, -1.

  The to locate. 2.0.0.0
- Method
  System.Void `` ``

  Use the method to insert the specified object into the object at .

  As an alternative, you can append a object to the end of the using the method.

  Inserts the specified object into the object at the specified index location.

  The zero-based index location at which to insert the . The to insert. 2.0.0.0
- Property
  System.Web.UI.WebControls.TreeNodeBinding `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  Use the method to remove the specified object from the collection. All items that follow that node are then moved up to fill the vacant position. The indexes of the moved items are also updated.

  As an alternative, you can remove a node at a specific index using the method. You can also remove every node in the collection using the method.

  Removes the specified object from the object.

  The to remove. 2.0.0.0
- Method
  System.Void ``

  Use the method to remove the object located at from a object. All items that follow that node are then moved up to fill the vacant position. The indexes of the moved items are also updated.

  As an alternative, you can remove a specific object by using the method. You can also remove every node in the collection by using the method.

  Removes the object at the specified index location from the object.

  The zero-based index location of the to remove. 2.0.0.0
- Method
  System.Void `` To be added. To be added. To be added. 2.0.0.0